org.eclipse.emf.facet.custom.ui

## Interface ICustomizedToolTipLabelProvider

All Known Subinterfaces:
  ICustomizedLabelProvider

    public interface ICustomizedToolTipLabelProvider

This interface provides methods to customize tooltips

Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`Color` `getToolTipBackgroundColor(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getToolTipBottomLeftOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getToolTipBottomMiddleOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getToolTipBottomRightOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`int` `getToolTipDisplayDelayTime(java.lang.Object element, ETypedElement eTypedElement)`
`Font` `getToolTipFont(java.lang.Object element, ETypedElement eTypedElement)`
`Color` `getToolTipForegroundColor(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getToolTipImage(java.lang.Object element, ETypedElement eTypedElement)`
`int` `getToolTipStyle(java.lang.Object element, ETypedElement eTypedElement)` The style can be : SWT.LEFT, SWT.CENTER, SWT.RIGHT, SWT.SHADOW_IN, SWT.SHADOW_OUT, SWT.SHADOW_NONE.
`java.lang.String` `getToolTipText(java.lang.Object element, ETypedElement eTypedElement)`
`int` `getToolTipTimeDisplayed(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getToolTipTopLeftOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getToolTipTopMiddleOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`Image` `getToolTipTopRightOverlay(java.lang.Object element, ETypedElement eTypedElement)`
`void` `update(ViewerCell cell)`

### Method Detail

#### update

    void update(ViewerCell cell)

#### getToolTipText

    java.lang.String getToolTipText(java.lang.Object element,
                                    ETypedElement eTypedElement)

#### getToolTipImage

    Image getToolTipImage(java.lang.Object element,
                          ETypedElement eTypedElement)

#### getToolTipFont

    Font getToolTipFont(java.lang.Object element,
                        ETypedElement eTypedElement)

#### getToolTipBackgroundColor

    Color getToolTipBackgroundColor(java.lang.Object element,
                                    ETypedElement eTypedElement)

#### getToolTipForegroundColor

    Color getToolTipForegroundColor(java.lang.Object element,
                                    ETypedElement eTypedElement)

#### getToolTipTopLeftOverlay

    Image getToolTipTopLeftOverlay(java.lang.Object element,
                                   ETypedElement eTypedElement)

#### getToolTipTopMiddleOverlay

    Image getToolTipTopMiddleOverlay(java.lang.Object element,
                                     ETypedElement eTypedElement)

#### getToolTipTopRightOverlay

    Image getToolTipTopRightOverlay(java.lang.Object element,
                                    ETypedElement eTypedElement)

#### getToolTipBottomLeftOverlay

    Image getToolTipBottomLeftOverlay(java.lang.Object element,
                                      ETypedElement eTypedElement)

#### getToolTipBottomMiddleOverlay

    Image getToolTipBottomMiddleOverlay(java.lang.Object element,
                                        ETypedElement eTypedElement)

#### getToolTipBottomRightOverlay

    Image getToolTipBottomRightOverlay(java.lang.Object element,
                                       ETypedElement eTypedElement)

#### getToolTipTimeDisplayed

    int getToolTipTimeDisplayed(java.lang.Object element,
                                ETypedElement eTypedElement)

#### getToolTipDisplayDelayTime

    int getToolTipDisplayDelayTime(java.lang.Object element,
                                   ETypedElement eTypedElement)

#### getToolTipStyle

    int getToolTipStyle(java.lang.Object element,
                        ETypedElement eTypedElement)

The style can be : SWT.LEFT, SWT.CENTER, SWT.RIGHT, SWT.SHADOW_IN, SWT.SHADOW_OUT, SWT.SHADOW_NONE.

Parameters:
  `element` -
Returns: